{-# LANGUAGE FlexibleContexts #-}
module Villefort.Today (getSummary) where

import Control.Monad.Reader (MonadReader,MonadIO)
import Villefort.Definitions (VConfig)
import Villefort.Database (getDone)
import Villefort.Util (getHeader,makeTable,total)

-- | creates today page
getSummary :: (MonadReader VConfig m, MonadIO m) => m String
getSummary = do
  dat <- getDone
  header <-  getHeader
  return ( header ++ (makeTable ["Subject","Time"] $ dat ++ [["Total", show$  total dat]]))


